#!/usr/bin/env bash

DIR=$(dirname -- $0)
OUR_CMDS_DIR=${OUR_CMDS_DIR:-/town/our}

/usr/bin/bwrap \
	--unshare-all \
	--ro-bind / / \
	--bind "$OUR_CMDS_DIR/data" "$OUR_CMDS_DIR/data" \
	--share-net \
	--dev /dev \
	--tmpfs /tmp \
	--unshare-pid \
	--die-with-parent \
	"$@"
